import request from '@/utils/request'

// 查询红外输出列表
export function listInfraredOut(query) {
  return request({
    url: '/data/infraredOut/list',
    method: 'get',
    params: query
  })
}

// 查询红外输出详细
export function getInfraredOut(id) {
  return request({
    url: '/data/infraredOut/' + id,
    method: 'get'
  })
}

// 新增红外输出
export function addInfraredOut(data) {
  return request({
    url: '/data/infraredOut',
    method: 'post',
    data: data
  })
}

// 修改红外输出
export function updateInfraredOut(data) {
  return request({
    url: '/data/infraredOut',
    method: 'put',
    data: data
  })
}

// 删除红外输出
export function delInfraredOut(id) {
  return request({
    url: '/data/infraredOut/' + id,
    method: 'delete'
  })
}
